Issue 66568 - Luxembourgish (Luxembourg) locale
Summary: Luxembourgish (Luxembourg) locale
Alias: None
Product: Internationalization
Classification: Code
Component: localedata (show other issues)
Version: OOo 2.0.3
Hardware: All All
: P3 Trivial with 4 votes (vote)
Target Milestone: ---
Assignee: oc
QA Contact: issues@l10n
Depends on:
Reported: 2006-06-19 19:53 UTC by michel_w
Modified: 2013-08-07 15:01 UTC (History)
1 user (show)

See Also:
Latest Confirmation in: ---
Developer Difficulty: ---

Patch to add Luxembourgish locale to OOo (18.94 KB, patch)
2006-06-19 19:54 UTC, michel_w
no flags Details | Diff
Corrected patch (incorrect translation) (18.94 KB, text/xml)
2006-07-12 19:20 UTC, michel_w
no flags Details
testcase specification (2.96 KB, text/html)
2006-07-26 13:45 UTC, oc
no flags Details
Testdoc (13.86 KB, application/vnd.oasis.opendocument.spreadsheet)
2006-07-26 13:46 UTC, oc
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description michel_w 2006-06-19 19:53:16 UTC
As of OOo 2.0.2, there is an entry for "Luxembourgish" in the language listbox 
for spell-checking purposes (see issue 54818).

This patch will add full locale support for Luxembourgish. I hope it can be 
included in the upcoming 2.0.4 release.
Comment 1 michel_w 2006-06-19 19:54:00 UTC
Created attachment 37238 [details]
Patch to add Luxembourgish locale to OOo
Comment 2 michel_w 2006-07-12 19:20:21 UTC
Created attachment 37721 [details]
Corrected patch (incorrect translation)
Comment 3 michel_w 2006-07-12 19:22:26 UTC
Comment 4 ooo 2006-07-17 12:17:49 UTC

I'm back from vacation, hence the long silence.

Thanks for your contribution. Please note that to integrate code or data
contributed we need a signed Joint Copyright Assignment form (JCA)
filled-out, see
To be able to lookup your name in the list of approved assignments I'd
appreciate if you stated your full name here in this issue.

Comment 5 michel_w 2006-07-17 13:11:37 UTC

As requested, I have filled out and signed the Joint Copyright Assignment (and 
sent it via email).

Michel Weimerskirch
Comment 6 ooo 2006-07-17 15:42:23 UTC
Comment 7 ooo 2006-07-24 17:11:45 UTC
In CWS locdat204:


Just to mention, please note that

- The Locale element's versionDTD attribute must be the value set in the
  locale.dtd file, which isn't necessarily the current release's version
  number, but may be older. Corrected from "2.0.4" to "2.0.3".

- For the Language and Country element's DefaultName we use English
  names, so a ``gawk -f list-locales.awk *.xml'' command in the data
  directory produces a list of locales in English. Set to Luxembourgish

- The LC_FORMAT element's replaceTo attribute's numerical language ID
  should be given without leading zero (and uppercase), otherwise the
  number formatter's dialog will generate additional almost identical
  entries. Corrected "-046E" to "-46E".

- The Currency element's usedInCompatibleFormatCodes attribute doesn't
  generally need to be set for currencies prior to the Euro, but only if
  the old StarDivision's StarOffice 5.2 and earlier already knew that
  currency in its binary file format, which isn't the case for new
  locales. Changed that attribute to "false" for LUF and to "true" for
  EUR, and also adapted the LC_FORMAT element's replaceTo attribute
  accordingly to use "[$€-46E]". This adds to clarity if someone looks
  at the locale data file.

- The CurrencyID should be the ISO 4217 currency code, currently
  identical with the BankSymbol. Corrected for both currencies.

Comment 8 ooo 2006-07-25 22:22:17 UTC
Reassigning to QA.
Comment 9 oc 2006-07-26 13:45:51 UTC
Created attachment 38051 [details]
testcase specification
Comment 10 oc 2006-07-26 13:46:28 UTC
Created attachment 38052 [details]
Comment 11 oc 2006-07-26 13:47:07 UTC
verified in internal build cws_locdat204
Comment 12 oc 2006-08-08 09:55:58 UTC
closed because fix available in OOom180